local C = require("classic")
local M = require("menu")

------------------------------------------------------------------------------------

-- Add menu choise

function menu_item_exists(id)
	for k,v in ipairs(kts.MENU.items) do
		if v.id == id then
			return true
		end
	end
	return false
end



function add_menu_item_after(item_id, old_id)
	if menu_item_exists(old_id) then
		local pos
		for k,v in ipairs(kts.MENU.items) do
			if v.id == old_id then
				pos = k
				break
			end
		end
		table.insert(kts.MENU.items, pos+1, item_id)
	else
		table.insert(kts.MENU.items, item_id)
	end
end


rat_rider_item = { 
	id         = "rat_rider",
	text       = "Rat rider",
	choices = {{id = "escape", text = "Error. Toolbox mod is not detected"}}
}



add_menu_item_after(rat_rider_item, "bats")